Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Public Attributes | Properties | Events | List of all members
DataSlot Class Referenceabstract

Slot for connecting a calculator node. More...

Inheritance diagram for DataSlot:

## Public Member Functions
abstract void | Disconnect ()
| Disconnect the connection. More...
abstract void | ClearBranch ()
| Clear the connection status. More...

## Public Attributes
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Events
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Slot for connecting a calculator node.

## Member Function Documentation

## ◆ ClearBranch()

abstract void ClearBranch | ( |  | ) |
| pure virtual

Clear the connection status.

Since the DataBranch remains, call it when the connection status is no longer needed by copy and paste.

Implemented in RerouteSlot, OutputSlotBase, and InputSlotBase.

## ◆ Disconnect()

abstract void Disconnect | ( |  | ) |
| pure virtual

Disconnect the connection.

Implements IDataSlot.

Implemented in OutputSlotBase, InputSlotBase, and RerouteSlot.

## Member Data Documentation

## ◆ nodeGraph

NodeGraph nodeGraph

State machine slot belongs

## ◆ position

Rect position

Position on ArborEditor of slot(Editor Only)

## Property Documentation

## ◆ dataType

abstract System.Type dataType
| get

The type of data stored in the slot

## ◆ slotType

abstract SlotType slotType
| get

Slot type

## Event Documentation

## ◆ onConnectionChanged

System.Action<bool> onConnectionChanged

Callback event when connection is changed